Subject: Re: [Bitcoin-development] Revisiting the BIPS process, a proposal

From: Drak <[email-masked]>
Date: Tue, 19 Nov 2013 16:53:38 +0000

On 19 November 2013 16:32, Wladimir <[email-masked]> wrote:

>
> On Mon, Oct 21, 2013 at 4:30 PM, Jeff Garzik <[email-masked]> wrote:
>
>> BIP drafts are stored in git://github.com/bitcoin/bips.git/drafts/ and
>> are not automatically assigned a BIPS number.
>>
>
> Are we going to move ahead with this?
>
> If so, I'm volunteering to create the repository and import the current
> BIPs from the wiki there (and convert from wiki markup to markdown where
> necessary).
>
> 2) Time passes.  Software for BIP drafts is developed, tested,
>> published, and publicly discussed in a typical open source manner.
>>
>
> Personally I think it is useful to have a number as soon as a BIP can be
> implemented, even if still in draft status; it gives something to refer to
> when mentioning a certain improvement proposal (in commit messages and such
> it could be called BIP xxx Draft).
> I don't think we are at risk of running out of numbers to assign any time
> soon.
>

It's quite normal for standards bodies to allocate numbers when in draft
status. If they don't pass, they don't pass - they are clearly labelled
DRAFTs.

+1 on having things in a github repository. Much better for collaboration,

Drak